%global srcname precis_i18n

Name:		python-precis-i18n
Version:	1.0.5
Release:	%mkrel 2
Summary:	Internationalised Usernames and Passwords
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/%{srcname}
Source0:	https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:  python3-devel

%description
The PRECIS framework makes internationalised user names and
passwords safer for use by applications. PRECIS profiles transform
unicode strings into a canonical form, suitable for comparison.

This module implements the PRECIS Framework as described in:
 - PRECIS Framework: Preparation, Enforcement, and Comparison of
   Internationalized Strings in Application Protocols (RFC 8264).
 - Preparation, Enforcement, and Comparison of Internationalized
   Strings Representing Usernames and Passwords (RFC 8265).
 - Preparation, Enforcement, and Comparison of Internationalized
   Strings Representing Nicknames (RFC 8266).

%package -n python3-precis-i18n
Summary:	Internationalised Usernames and Passwords
%{?python_provide:%python_provide python3-precis-i18n}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-precis-i18n
The PRECIS framework makes internationalised user names and
passwords safer for use by applications. PRECIS profiles transform
unicode strings into a canonical form, suitable for comparison.

This module implements the PRECIS Framework as described in:
 - PRECIS Framework: Preparation, Enforcement, and Comparison of
   Internationalized Strings in Application Protocols (RFC 8264).
 - Preparation, Enforcement, and Comparison of Internationalized
   Strings Representing Usernames and Passwords (RFC 8265).
 - Preparation, Enforcement, and Comparison of Internationalized
   Strings Representing Nicknames (RFC 8266).


%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files precis_i18n

%files -n python3-precis-i18n -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Dec 17 2023 papoteur <papoteur> 1.0.5-2.mga10
+ Revision: 2018558
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 1.0.4-2.mga9
+ Revision: 1823451
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.4-1.mga9
+ Revision: 1783303
- version 1.0.4
- rebuild for python-3.10

* Mon Mar 22 2021 sander85 <sander85> 1.0.2-2.mga9
+ Revision: 1707222
- Rebuild for python 3.9

* Thu Aug 13 2020 sander85 <sander85> 1.0.2-1.mga8
+ Revision: 1613894
- New version: 1.0.2

* Tue Feb 18 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1538897
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 1.0.1-2.mga8
+ Revision: 1463267
- rename python3 pkg as python3-precis-i18n

* Mon Sep 23 2019 sander85 <sander85> 1.0.1-1.mga8
+ Revision: 1444856
- New version: 1.0.1

* Tue Jan 08 2019 sander85 <sander85> 1.0.0-2.mga7
+ Revision: 1352590
- Rebuild for python 3.7

* Thu Jan 03 2019 sander85 <sander85> 1.0.0-1.mga7
+ Revision: 1348912
- imported package python-precis-i18n

